/***文档注释***********************************************
 * 作者               :                   易鑫
 * 创建日期      :                   2017.12.13
 * 描述               :        			剪切标准表
 * 注意事项      :                   无
 * 遗留BUG :                   无
 * 修改日期      :                   
 * 修改人员      :                   
 * 修改内容      :                   
***********************************************************/

package market.Com.vo;

import java.io.Serializable;
import java.util.Date;

import market.Com.mapper.ComDsnCutstdMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="COM_DSN_CUTSTD", namespace=ComDsnCutstdMapper.class)
public class ComDsnCutstd extends BaseVO implements Serializable {
	@Id
	//序列号
	private String serial_no;
	public String  getSerial_no() {
		return this.serial_no;
	}
	public void setSerial_no(String serial_no) {
		this.serial_no = serial_no;
	}

	@Column
	//工厂
	private String plt;
	public String  getPlt() {
		return this.plt;
	}
	public void setPlt(String plt) {
		this.plt = plt;
	}

	@Column
	//产线
	private String plt_line;
	public String  getPlt_line() {
		return this.plt_line;
	}
	public void setPlt_line(String plt_line) {
		this.plt_line = plt_line;
	}

	@Column
	//适用项目
	private String apply_item;
	public String  getApply_item() {
		return this.apply_item;
	}
	public void setApply_item(String apply_item) {
		this.apply_item = apply_item;
	}

	@Column
	//适用项目名称
	private String apply_item_nm;
	public String  getApply_item_nm() {
		return this.apply_item_nm;
	}
	public void setApply_item_nm(String apply_item_nm) {
		this.apply_item_nm = apply_item_nm;
	}

	@Column
	//是否适用
	private String apply_fl;
	public String  getApply_fl() {
		return this.apply_fl;
	}
	public void setApply_fl(String apply_fl) {
		this.apply_fl = apply_fl;
	}

	@Column
	//限制1最小值
	private Double limit1_min;
	public Double  getLimit1_min() {
		return this.limit1_min;
	}
	public void setLimit1_min(Double limit1_min) {
		this.limit1_min = limit1_min;
	}

	@Column
	//限制1最大值
	private Double limit1_max;
	public Double  getLimit1_max() {
		return this.limit1_max;
	}
	public void setLimit1_max(Double limit1_max) {
		this.limit1_max = limit1_max;
	}

	@Column
	//限制2最小值
	private Double limit2_min;
	public Double  getLimit2_min() {
		return this.limit2_min;
	}
	public void setLimit2_min(Double limit2_min) {
		this.limit2_min = limit2_min;
	}

	@Column
	//限制2最大值
	private Double limit2_max;
	public Double  getLimit2_max() {
		return this.limit2_max;
	}
	public void setLimit2_max(Double limit2_max) {
		this.limit2_max = limit2_max;
	}

	@Column
	//值1
	private Double value1;
	public Double  getValue1() {
		return this.value1;
	}
	public void setValue1(Double value1) {
		this.value1 = value1;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//生效开始时间
	private Date begin_time;
	public Date  getBegin_time() {
		return this.begin_time;
	}
	public void setBegin_time(Date begin_time) {
		this.begin_time = begin_time;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//生效结束时间
	private Date end_time;
	public Date  getEnd_time() {
		return this.end_time;
	}
	public void setEnd_time(Date end_time) {
		this.end_time = end_time;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//录入时间
	private Date create_time;
	public Date  getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	@Column
	//录入人
	private String create_man_name;
	public String  getCreate_man_name() {
		return this.create_man_name;
	}
	public void setCreate_man_name(String create_man_name) {
		this.create_man_name = create_man_name;
	}

}
